CMSAttributeTableGenerationException (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class CMSAttributeTableGenerationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.bouncycastle.cms.CMSRuntimeException
        - - org.bouncycastle.cms.CMSAttributeTableGenerationException

- All Implemented Interfaces:
    java.io.Serializable

      public class CMSAttributeTableGenerationException
      extends CMSRuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSAttributeTableGenerationException(java.lang.String name)`
    `CMSAttributeTableGenerationException(java.lang.String name, java.lang.Exception e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()`
    `java.lang.Exception` | `getUnderlyingException()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CMSAttributeTableGenerationException

          public CMSAttributeTableGenerationException(java.lang.String name)

    - #### CMSAttributeTableGenerationException

          public CMSAttributeTableGenerationException(java.lang.String name,
                                              java.lang.Exception e)

  - ### Method Detail

    - #### getUnderlyingException

          public java.lang.Exception getUnderlyingException()

      Overrides:
        `getUnderlyingException` in class `CMSRuntimeException`

    - #### getCause

          public java.lang.Throwable getCause()

      Overrides:
        `getCause` in class `CMSRuntimeException`